figure(1)
plot(t,xdot_p), xlabel('Time[s]'),ylabel('Plough Speed[m/s]'),grid;

figure(2)
plot(t,x_p), xlabel('Time[s]'),ylabel('Surge position[m]'),grid;

figure(3)
plot(xdot_p,f_pNL/1000),title('Ploughs Friction Force vs. Plough Speed'),
xlabel('Plough Speed [m/s]'),ylabel('Ploughs Friction Force [mton]'),grid;

figure(4)
plot(xdot_p,Npore,Hsea,Ncav,xdot_p,Ngrc),title('Ploughs Friction Force Facors'), xlabel('Time [s]'),ylabel('Factor Value'),legend('Pore-water factor: N_{pore}','Cavitation factor: N_{cav}','Grain crushing factor: N_{grc}'),grid;

figure(5)
plot(xdot_p,Ngrc,xdot_p,Ncav),title('The Grain Crushing- and Cavitation- Force Factor'), xlabel('Plough Speed [m/s] and Ocean Depth [m]'),ylabel('Factor Value'),legend('F_{0,grc}/F_0','F_{0,cav}/F_0'),grid;

figure(6)
plot(xdot_p,Ncav),title('The Cavitation Force Factor'), xlabel('Osean Height[m]'),ylabel('Factor Value'),grid;

figure(7)
plot(xdot_p,f_pNL,xdot_p,f_pL),title('The Cavitation Force Factor'), xlabel('Osean Height[m]'),ylabel('Factor Value'),legend('NL','L'),grid;

