%Run this file when ready to simulate the total system.

%Finding the final step number
s=size(t1);
finalstep = s(1)

%Positioning the plough in the origin of the inertial reference frame.
%x=[state_n(finalstep,1),state_24(finalstep,1),state_23(finalstep,1),state_22(finalstep,1),state_21(finalstep,1),state_20(finalstep,1),state_19(finalstep,1),state_18(finalstep,1),state_17(finalstep,1),state_16(finalstep,1),state_15(finalstep,1),state_14(finalstep,1),state_13(finalstep,1),state_12(finalstep,1),state_11(finalstep,1),state_10(finalstep,1),state_9(finalstep,1),state_8(finalstep,1),state_7(finalstep,1),state_6(finalstep,1),state_5(finalstep,1),state_4(finalstep,1),state_3(finalstep,1),state_2(finalstep,1),state_1(finalstep,1),state_0(finalstep,1)]';
%z=[state_n(finalstep,4),state_24(finalstep,4),state_23(finalstep,4),state_22(finalstep,4),state_21(finalstep,4),state_20(finalstep,4),state_19(finalstep,4),state_18(finalstep,4),state_17(finalstep,4),state_16(finalstep,4),state_15(finalstep,4),state_14(finalstep,4),state_13(finalstep,4),state_12(finalstep,4),state_11(finalstep,4),state_10(finalstep,4),state_9(finalstep,4),state_8(finalstep,4),state_7(finalstep,4),state_6(finalstep,4),state_5(finalstep,4),state_4(finalstep,4),state_3(finalstep,4),state_2(finalstep,4),state_1(finalstep,4),state_0(finalstep,4)]';

%Positioning the vessel in the origin of the inertial reference frame.
x=[state_n(finalstep,1)-state_0(finalstep,1),state_24(finalstep,1)-state_0(finalstep,1),state_23(finalstep,1)-state_0(finalstep,1),state_22(finalstep,1)-state_0(finalstep,1),state_21(finalstep,1)-state_0(finalstep,1),state_20(finalstep,1)-state_0(finalstep,1),state_19(finalstep,1)-state_0(finalstep,1),state_18(finalstep,1)-state_0(finalstep,1),state_17(finalstep,1)-state_0(finalstep,1),state_16(finalstep,1)-state_0(finalstep,1),state_15(finalstep,1)-state_0(finalstep,1),state_14(finalstep,1)-state_0(finalstep,1),state_13(finalstep,1)-state_0(finalstep,1),state_12(finalstep,1)-state_0(finalstep,1),state_11(finalstep,1)-state_0(finalstep,1),state_10(finalstep,1)-state_0(finalstep,1),state_9(finalstep,1)-state_0(finalstep,1),state_8(finalstep,1)-state_0(finalstep,1),state_7(finalstep,1)-state_0(finalstep,1),state_6(finalstep,1)-state_0(finalstep,1),state_5(finalstep,1)-state_0(finalstep,1),state_4(finalstep,1)-state_0(finalstep,1),state_3(finalstep,1)-state_0(finalstep,1),state_2(finalstep,1)-state_0(finalstep,1),state_1(finalstep,1)-state_0(finalstep,1),state_0(finalstep,1)-state_0(finalstep,1)]';
z=[state_n(finalstep,4),state_24(finalstep,4),state_23(finalstep,4),state_22(finalstep,4),state_21(finalstep,4),state_20(finalstep,4),state_19(finalstep,4),state_18(finalstep,4),state_17(finalstep,4),state_16(finalstep,4),state_15(finalstep,4),state_14(finalstep,4),state_13(finalstep,4),state_12(finalstep,4),state_11(finalstep,4),state_10(finalstep,4),state_9(finalstep,4),state_8(finalstep,4),state_7(finalstep,4),state_6(finalstep,4),state_5(finalstep,4),state_4(finalstep,4),state_3(finalstep,4),state_2(finalstep,4),state_1(finalstep,4),state_0(finalstep,4)]';

%Initializing constant for the 1st. order horizontal towline force filter
%in the DP-controller.
T1x = T1(finalstep,1)

%init = 0 when in initialization mode (Init1.m). When running Init2.m this constant
%will be set to 1 for simulation of the total system 
init = 1